Name:           python-flowtrigger
Version:        0.5.1
Release:        2%{?dist}
Summary:        Short summary of your project


License:        GPL-2.0
URL:            https://gitlab.com/pgill/flowtrigger
Source0:        https://gitlab.com/pgill/flowtrigger/-/archive/v%{version}/flowtrigger-v%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  cairo-devel
BuildRequires:  cairo-gobject-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-pip
BuildArch:      noarch


%global _description %{expand:
Automate rpm spec updates.}


%description %_description


%package -n python3-flowtrigger
Summary: %{summary}


Requires: python3-click
Requires: python3-gitlab
Requires: python3-GitPython
Requires: python3-platformdirs
Requires: python3-pygithub
Requires: python3-pyyaml


Recommends: libsecret
Recommends: python3-gobject


%description -n python3-flowtrigger %_description


%prep
%setup -n flowtrigger-v%{version}


%build
pip install pdm
python3 -m pdm install --production
python3 -m pdm build --no-sdist


%install
pip install --no-deps --root=%{buildroot} dist/*.whl


%files -n python3-flowtrigger
%doc README.md
%license LICENSE
%{_prefix}/lib/python%{python3_version}/site-packages/flowtrigger*
%{_bindir}/ft


%changelog
%autochangelog
